Bug 753556 - [abrt][KDE] libreoffice-core-3.4.3.2-15.fc16: qtFilter: Process /usr/lib/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt][KDE] libreoffice-core-3.4.3.2-15.fc16: qtFilter: Process /usr/lib/libr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
abrt_hash:417c77143a18b5e3c130be160ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-13 06:54 EST by szymon
Modified: 2015-07-13 13:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:26:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (27.31 KB, text/plain)
2011-11-13 06:54 EST, szymon
no flags Details
File: maps (64.32 KB, text/plain)
2011-11-13 06:54 EST, szymon
no flags Details
File: backtrace (74.04 KB, text/plain)
2011-11-13 06:54 EST, szymon
no flags Details

  None (edit)
Description szymon 2011-11-13 06:54:08 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --splash-pipe=7
comment:        i trai to save document in calc
crash_function: qtFilter
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.1.0-7.fc16.i686.PAE
reason:         Process /usr/lib/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Sun Nov 13 06:07:52 2011
uid:            1000
username:       szymon
xsession_errors: 

backtrace:      Text file, 75820 bytes
dso_list:       Text file, 27967 bytes
maps:           Text file, 65865 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1510
:XDG_SESSION_ID=2
:KDE_MULTIHEAD=false
:HOSTNAME=geodeta
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=geodeta;1321176594;197963;1607_TIME2951074
:XDG_SESSION_COOKIE=660369660e3b636beea74b2200000013-1321195298.363879-1165797051
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/szymon/.gtkrc-2.0:/home/szymon/.gtkrc-2.0-kde4:/home/szymon/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/szymon/.gtkrc:/home/szymon/.kde/share/config/gtkrc
:OLDPWD=/usr/lib/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-JVcWcp
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=szymon
:SSH_AUTH_SOCK=/tmp/ssh-gKjTlkyh1397/agent.1397
:USERNAME=szymon
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1597,unix/unix:/tmp/.ICE-unix/1597
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/szymon/.local/bin:/home/szymon/bin
:DESKTOP_SESSION=kde-plasma-safe
:MAIL=/var/spool/mail/szymon
:QT_IM_MODULE=xim
:PWD=/home/szymon/Dokumenty
:KWIN_COMPOSE=N
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1393
:LANG=pl_PL.UTF-8
:KDE_IS_PRELINKED=1
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:KDEDIRS=/usr
:LOADEDMODULES=
:GDMSESSION=kde-plasma-safe
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:HOME=/home/szymon
:XDG_SEAT=seat0
:SHLVL=2
:KDE_SESSION_VERSION=4
:KDE_FAILSAFE=1
:XCURSOR_THEME=default
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=szymon
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-IqQnm0uwyY,guid=0bba738abe45f695aa3791c200000037
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/szymon
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/szymon/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-szymon/xauth-1000-_0
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386

var_log_messages:
:Nov 13 06:07:52 geodeta kernel: [ 8829.583946] soffice.bin[2729]: segfault at 0 ip 03ab6679 sp bfab0d80 error 4 in libkio.so.5.7.0 (deleted)[38d9000+2ab000]
:Nov 13 06:07:56 geodeta abrt[18499]: saved core dump of pid 2729 (/usr/lib/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2011-11-13-06:07:52-2729 (157696000 bytes)
Comment 1 szymon 2011-11-13 06:54:14 EST
Created attachment 533354 [details]
File: dso_list
Comment 2 szymon 2011-11-13 06:54:18 EST
Created attachment 533355 [details]
File: maps
Comment 3 szymon 2011-11-13 06:54:23 EST
Created attachment 533356 [details]
File: backtrace
Comment 4 David Tardon 2011-11-14 00:26:37 EST
The stack is completely useless, unfortunately. Provided that the top level frame is correct, it crashed in KDE file dialog.
Comment 5 Fedora End Of Life 2013-01-16 10:05:04 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 11:26:12 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.